[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [tycho-dev] Moving to newer Maven for CI?

fine with me.

 

I think the maven version we run the integration tests with is configurable already

 

Regards

Jan

 

From: <tycho-dev-bounces@xxxxxxxxxxx> on behalf of "mistria@xxxxxxxxxx" <mistria@xxxxxxxxxx>
Reply-To: Tycho list <tycho-dev@xxxxxxxxxxx>
Date: Thursday, 16. May 2019 at 20:46
To: Tycho list <tycho-dev@xxxxxxxxxxx>
Subject: [tycho-dev] Moving to newer Maven for CI?

 

Hi all,

 

Tycho's test suite is affected by some old bugs in Maven, like https://issues.apache.org/jira/browse/MNG-5452 , which make it harder adopting and trying newer versions of Maven.

I'd like us to consider raising the version we're testing with, to something like 3.5.4 that was released about a year ago, doesn't have know issues with Tycho and that's available on CBI.

 

Would anyone have an objection with that?

 

Cheers,

--

Mickael Istria

Eclipse IDE developer, for Red Hat Developers